Page MenuHomePhabricator

Verify which fiscal numbers we need to collect for AstroPay in each new LATAM country, update l10n files
Closed, ResolvedPublic1 Story Points

Description

From the web site:

User’s personal identification number:
BR: CPF/CNPJ,
AR: DNI,
UY: CI,
MX: CURP/RFC/IFE,
PE: DNI,
CL: RUT,
CO: CC,
TK: ID

Clarify which we need for MX (we have RFC now), AR (we have CUIT), UY (we have RUT), PR (we have RUC), CO (we have NIT).

Update the donate_interface-donor-fiscal_number-xx strings in the l10n files.

Event Timeline

Ejegg created this task.Jan 21 2016, 7:03 PM
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg added subscribers: Aklapper, StudiesWorld, Ejegg.
Ejegg added a comment.Jan 21 2016, 8:43 PM

Got confirmation from AstroPay that the above list is correct. They accept any of CURP, RFC, or IFE in Mexico, and either CPF or CNPJ in Brazil.

atgo added a subscriber: atgo.Jan 26 2016, 7:43 PM

@Ejegg does that make this one "done"?

Ejegg added a comment.Jan 26 2016, 7:44 PM

Nah, I still need to update all the l10n strings, but that'll be simple

atgo added a comment.Jan 26 2016, 8:02 PM

Maybe we should change the title in order to reflect that? Reads to me like
we need to confirm these titles.

Ejegg renamed this task from Verify which fiscal numbers we need to collect for AstroPay in each new LATAM country to Verify which fiscal numbers we need to collect for AstroPay in each new LATAM country, update l10n files.Jan 26 2016, 8:03 PM
Ejegg updated the task description. (Show Details)
Ejegg set Security to None.
atgo triaged this task as Normal priority.Jan 26 2016, 8:25 PM

Change 266580 had a related patch set uploaded (by Ejegg):
Update country-specific financial number labels

https://gerrit.wikimedia.org/r/266580

Ejegg claimed this task.Jan 26 2016, 9:18 PM
Ejegg edited a custom field.
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Bloodletting 2016 board.

Change 266580 merged by jenkins-bot:
Update country-specific financial number labels

https://gerrit.wikimedia.org/r/266580

Ejegg closed this task as Resolved.Feb 3 2016, 10:47 PM

Change 279647 had a related patch set uploaded (by Ejegg):
Fix fiscal number error messages

https://gerrit.wikimedia.org/r/279647

Ejegg reopened this task as Open.Mar 25 2016, 6:29 PM
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Freshmaking board.

Change 279647 merged by jenkins-bot:
Fix fiscal number error messages

https://gerrit.wikimedia.org/r/279647

Ejegg closed this task as Resolved.Mar 30 2016, 12:33 AM
atgo removed a subscriber: atgo.Mar 30 2016, 10:13 PM